<?php
 namespace VnChocola\Module\Master\MasterPositions;
 use TCMS\Controller;
 use Model;
 use VnChocola\Model\PositionsModel;
 class IndexController extends Controller {
 public function index() {
 $auth = load_auth();
 view()->hasCreateRole = $auth->hasRole(\RoleGlobal::$role->createPositions);
 view()->hasUpdateRole = $auth->hasRole(\RoleGlobal::$role->updatePositions);
 view()->hasDeleteRole = $auth->hasRole(\RoleGlobal::$role->deletePositions);
 return view();
 }
 public function create() {
 return view();
 }
 public function postCreate(PositionsModel $model) {
 if($model->isValid()) {
 if($model->save()) return route_redirect('create', 'Thêm thành công');
 view()->addErrorMessage('error', 'Thêm thất bại');
 }
 return view($model);
 }
 public function update($id) {
 $model = Model::load('PositionsModel');
 $data = $model->find($id);
 if(!$data) return route_redirect('index', 'Id không tồn tại', 'error');
 return view($data);
 }
 public function postUpdate(PositionsModel $model) {
 if($model->isValid()) {
 if($model->save()) return route_redirect('index', 'Cập nhật thành công');
 view()->addErrorMessage('error', 'Cập nhật thất bại');
 }
 return view($model);
 }
 public function postDelete() {
 $id = \Request::get('data');
 $model = Model::load('PositionsModel');
 $isSuccess = $model->delete($id);
 if(\Request::isAjax()) return json(['success' => $isSuccess, 'message' => $isSuccess ? 'Xóa thành công' : 'Xóa thất bại']);
 return route_redirect('index', $isSuccess ? 'Xóa thành công' : 'Xóa thất bại');
 }
 }
